Package org.eclipse.jdt.junit.launcher

# Class JUnitLaunchConfigurationTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.jdt.junit.launcher.JUnitLaunchConfigurationTab

All Implemented Interfaces:
  `IPrototypeAttributesLabelProvider`, `ILaunchConfigurationTab`, `ILaunchConfigurationTab2`

public class JUnitLaunchConfigurationTab extends AbstractLaunchConfigurationTab
The launch configuration tab for JUnit.

This class may be instantiated but is not intended to be subclassed.

Since:
  3.3
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`JUnitLaunchConfigurationTab()`
Creates a JUnit launch configuration tab.

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent)`
`void`
`dispose()`
`String`
`getId()`
`Image`
`getImage()`
`String`
`getName()`
`void`
`initializeFrom(ILaunchConfiguration config)`
`boolean`
`isValid(ILaunchConfiguration config)`
`void`
`performApply(ILaunchConfigurationWorkingCopy config)`
`void`
`setDefaults(ILaunchConfigurationWorkingCopy config)`
`protected void`
`setErrorMessage(String errorMessage)`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, initializeAttributes, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Constructor Details

### JUnitLaunchConfigurationTab

public JUnitLaunchConfigurationTab()
Creates a JUnit launch configuration tab.

## Method Details

### createControl

public void createControl(Composite parent)

### initializeFrom

public void initializeFrom(ILaunchConfiguration config)

### performApply

public void performApply(ILaunchConfigurationWorkingCopy config)

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `AbstractLaunchConfigurationTab`

### getImage

public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

### isValid

public boolean isValid(ILaunchConfiguration config)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`

### setErrorMessage

protected void setErrorMessage(String errorMessage)

Overrides:
  `setErrorMessage` in class `AbstractLaunchConfigurationTab`

### setDefaults

public void setDefaults(ILaunchConfigurationWorkingCopy config)

### getName

public String getName()

### getId

public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`